Index: trunk/SophyaLib/BaseTools/datatype.cc
===================================================================
--- trunk/SophyaLib/BaseTools/datatype.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/datatype.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "datatype.h"
 
Index: trunk/SophyaLib/BaseTools/dvlist.cc
===================================================================
--- trunk/SophyaLib/BaseTools/dvlist.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/dvlist.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/BaseTools/fiondblock.cc
===================================================================
--- trunk/SophyaLib/BaseTools/fiondblock.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/fiondblock.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                         C.Magneville          04/99-03/2000
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/BaseTools/machdefs_mkmf.h
===================================================================
--- trunk/SophyaLib/BaseTools/machdefs_mkmf.h	(revision 2614)
+++ trunk/SophyaLib/BaseTools/machdefs_mkmf.h	(revision 2615)
@@ -406,7 +406,10 @@
 namespace std { }
 using namespace std;
-/*  SOPHYA classes are in namespace SOPHYA  */
-namespace SOPHYA {}
-using namespace SOPHYA;
+/*******************************************/
+/* SOPHYA classes are in namespace SOPHYA  */
+/* namespace SOPHYA {}                     */
+/* using namespace SOPHYA;                 */
+/* Please use instead: sopnamsp.h          */
+/*******************************************/
 #define EXPLICIT explicit
 #endif
Index: trunk/SophyaLib/BaseTools/mutyv.cc
===================================================================
--- trunk/SophyaLib/BaseTools/mutyv.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/mutyv.cc	(revision 2615)
@@ -4,4 +4,5 @@
 
 
+#include "sopnamsp.h"
 #include "mutyv.h"
 #include <stdio.h>
Index: trunk/SophyaLib/BaseTools/ndatablock.cc
===================================================================
--- trunk/SophyaLib/BaseTools/ndatablock.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/ndatablock.cc	(revision 2615)
@@ -2,4 +2,5 @@
 // malheureusement tres mal concu...  C.Magneville 04/99
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/BaseTools/pexceptions.cc
===================================================================
--- trunk/SophyaLib/BaseTools/pexceptions.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/pexceptions.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pexceptions.h"
 #include <iostream>
Index: trunk/SophyaLib/BaseTools/ppersist.cc
===================================================================
--- trunk/SophyaLib/BaseTools/ppersist.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/ppersist.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/BaseTools/ppfbinstream.cc
===================================================================
--- trunk/SophyaLib/BaseTools/ppfbinstream.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/ppfbinstream.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/BaseTools/rawstream.cc
===================================================================
--- trunk/SophyaLib/BaseTools/rawstream.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/rawstream.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "rawstream.h"
 #include "pexceptions.h"
Index: trunk/SophyaLib/BaseTools/sophyainit.cc
===================================================================
--- trunk/SophyaLib/BaseTools/sophyainit.cc	(revision 2614)
+++ trunk/SophyaLib/BaseTools/sophyainit.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 
Index: trunk/SophyaLib/HiStats/hisprof.cc
===================================================================
--- trunk/SophyaLib/HiStats/hisprof.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/hisprof.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <string.h>
Index: trunk/SophyaLib/HiStats/histerr.cc
===================================================================
--- trunk/SophyaLib/HiStats/histerr.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/histerr.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <string.h>
Index: trunk/SophyaLib/HiStats/histinit.cc
===================================================================
--- trunk/SophyaLib/HiStats/histinit.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/histinit.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                        (Histogram and Statistics)
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "histinit.h"
Index: trunk/SophyaLib/HiStats/histos.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/histos.cc	(revision 2615)
@@ -1,6 +1,7 @@
 //
-// $Id: histos.cc,v 1.17 2004-03-15 16:47:20 ansari Exp $
+// $Id: histos.cc,v 1.18 2004-09-10 09:52:19 cmv Exp $
 //
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <string.h>
Index: trunk/SophyaLib/HiStats/histos2.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos2.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/histos2.cc	(revision 2615)
@@ -3,4 +3,5 @@
 //
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 
Index: trunk/SophyaLib/HiStats/ntupintf.cc
===================================================================
--- trunk/SophyaLib/HiStats/ntupintf.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/ntupintf.cc	(revision 2615)
@@ -1,3 +1,4 @@
 
+#include "sopnamsp.h"
 #include "ntupintf.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/HiStats/ntuple.cc
===================================================================
--- trunk/SophyaLib/HiStats/ntuple.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/ntuple.cc	(revision 2615)
@@ -2,4 +2,5 @@
 #include <string.h>
 
+#include "sopnamsp.h"
 #include "strutil.h"
 #include "perrors.h"
Index: trunk/SophyaLib/HiStats/proxtuple.cc
===================================================================
--- trunk/SophyaLib/HiStats/proxtuple.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/proxtuple.cc	(revision 2615)
@@ -8,4 +8,5 @@
 // This Class's Header --
 //-----------------------
+#include "sopnamsp.h"
 #include "proxtuple.h"
 //---------------
Index: trunk/SophyaLib/HiStats/xntuple.cc
===================================================================
--- trunk/SophyaLib/HiStats/xntuple.cc	(revision 2614)
+++ trunk/SophyaLib/HiStats/xntuple.cc	(revision 2615)
@@ -6,4 +6,5 @@
 // 
 #include <string.h>
+#include "sopnamsp.h"
 #include "ppersist.h"
 #include "perrors.h"
Index: trunk/SophyaLib/NTools/FSAppIrrSmpl.cc
===================================================================
--- trunk/SophyaLib/NTools/FSAppIrrSmpl.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/FSAppIrrSmpl.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "FSAppIrrSmpl.h"
 
Index: trunk/SophyaLib/NTools/cimage.cc
===================================================================
--- trunk/SophyaLib/NTools/cimage.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/cimage.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/NTools/cspline.cc
===================================================================
--- trunk/SophyaLib/NTools/cspline.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/cspline.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 
Index: trunk/SophyaLib/NTools/datatypes.cc
===================================================================
--- trunk/SophyaLib/NTools/datatypes.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/datatypes.cc	(revision 2615)
@@ -5,4 +5,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "datatypes.h"
 
Index: trunk/SophyaLib/NTools/dates.cc
===================================================================
--- trunk/SophyaLib/NTools/dates.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/dates.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/NTools/difeq.cc
===================================================================
--- trunk/SophyaLib/NTools/difeq.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/difeq.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "difeq.h"
 #include "ctimer.h"
Index: trunk/SophyaLib/NTools/dynccd.cc
===================================================================
--- trunk/SophyaLib/NTools/dynccd.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/dynccd.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/NTools/fct1dfit.cc
===================================================================
--- trunk/SophyaLib/NTools/fct1dfit.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/fct1dfit.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/NTools/fct2dfit.cc
===================================================================
--- trunk/SophyaLib/NTools/fct2dfit.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/fct2dfit.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/NTools/fftmserver.cc
===================================================================
--- trunk/SophyaLib/NTools/fftmserver.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/fftmserver.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "fftmserver.h"
 #include <iostream>
Index: trunk/SophyaLib/NTools/fftpserver.cc
===================================================================
--- trunk/SophyaLib/NTools/fftpserver.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/fftpserver.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "fftpserver.h"
 #include "fftpackc.h"
Index: trunk/SophyaLib/NTools/fftservintf.cc
===================================================================
--- trunk/SophyaLib/NTools/fftservintf.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/fftservintf.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "fftservintf.h"
 
Index: trunk/SophyaLib/NTools/generaldata.cc
===================================================================
--- trunk/SophyaLib/NTools/generaldata.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/generaldata.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/NTools/generalfit.cc
===================================================================
--- trunk/SophyaLib/NTools/generalfit.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/generalfit.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/NTools/imageop.cc
===================================================================
--- trunk/SophyaLib/NTools/imageop.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/imageop.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/NTools/integ.cc
===================================================================
--- trunk/SophyaLib/NTools/integ.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/integ.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "integ.h"
 #include "generalfit.h"
Index: trunk/SophyaLib/NTools/median.cc
===================================================================
--- trunk/SophyaLib/NTools/median.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/median.cc	(revision 2615)
@@ -1,3 +1,4 @@
 #if 0
+#include "sopnamsp.h"
 #include "median.h"
 #include <algorithm>
Index: trunk/SophyaLib/NTools/ntoolsinit.cc
===================================================================
--- trunk/SophyaLib/NTools/ntoolsinit.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/ntoolsinit.cc	(revision 2615)
@@ -1,4 +1,5 @@
 // Classe d'initialisation du module NTools
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "ntoolsinit.h"
Index: trunk/SophyaLib/NTools/objfitter.cc
===================================================================
--- trunk/SophyaLib/NTools/objfitter.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/objfitter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "objfitter.h"
 
Index: trunk/SophyaLib/NTools/perandom.cc
===================================================================
--- trunk/SophyaLib/NTools/perandom.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/perandom.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "pexceptions.h"
Index: trunk/SophyaLib/NTools/poly.cc
===================================================================
--- trunk/SophyaLib/NTools/poly.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/poly.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "poly.h"
Index: trunk/SophyaLib/NTools/rk4cdifeq.cc
===================================================================
--- trunk/SophyaLib/NTools/rk4cdifeq.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/rk4cdifeq.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "rk4cdifeq.h"
Index: trunk/SophyaLib/NTools/simplesort.cc
===================================================================
--- trunk/SophyaLib/NTools/simplesort.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/simplesort.cc	(revision 2615)
@@ -1,6 +1,7 @@
 //
-// $Id: simplesort.cc,v 1.3 2004-03-15 16:46:56 ansari Exp $
+// $Id: simplesort.cc,v 1.4 2004-09-10 09:53:00 cmv Exp $
 //
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "simplesort.h"
Index: trunk/SophyaLib/NTools/tabmath.cc
===================================================================
--- trunk/SophyaLib/NTools/tabmath.cc	(revision 2614)
+++ trunk/SophyaLib/NTools/tabmath.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "tabmath.h"
Index: trunk/SophyaLib/SUtils/datacards.cc
===================================================================
--- trunk/SophyaLib/SUtils/datacards.cc	(revision 2614)
+++ trunk/SophyaLib/SUtils/datacards.cc	(revision 2615)
@@ -1,4 +1,4 @@
 //
-// $Id: datacards.cc,v 1.9 2003-02-11 15:31:05 cmv Exp $
+// $Id: datacards.cc,v 1.10 2004-09-10 09:54:48 cmv Exp $
 //
 //
@@ -8,4 +8,5 @@
 
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "datacards.h"
Index: trunk/SophyaLib/SUtils/strutilxx.cc
===================================================================
--- trunk/SophyaLib/SUtils/strutilxx.cc	(revision 2614)
+++ trunk/SophyaLib/SUtils/strutilxx.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/SUtils/utils.cc
===================================================================
--- trunk/SophyaLib/SUtils/utils.cc	(revision 2614)
+++ trunk/SophyaLib/SUtils/utils.cc	(revision 2615)
@@ -1,7 +1,8 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: utils.cc,v 1.1 2000-04-12 17:49:52 ansari Exp $
+// $Id: utils.cc,v 1.2 2004-09-10 09:54:49 cmv Exp $
 //
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "utils.h"
Index: trunk/SophyaLib/Samba/alm.cc
===================================================================
--- trunk/SophyaLib/Samba/alm.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/alm.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "alm.h"
 template <class T>
Index: trunk/SophyaLib/Samba/bruit.cc
===================================================================
--- trunk/SophyaLib/Samba/bruit.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/bruit.cc	(revision 2615)
@@ -8,4 +8,5 @@
 
 
+#include "sopnamsp.h"
 #include "fmath.h"
 
Index: trunk/SophyaLib/Samba/circle.cc
===================================================================
--- trunk/SophyaLib/Samba/circle.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/circle.cc	(revision 2615)
@@ -1,3 +1,4 @@
 #include <math.h>
+#include "sopnamsp.h"
 #include "circle.h"
 //++ 
Index: trunk/SophyaLib/Samba/datacirclefake.cc
===================================================================
--- trunk/SophyaLib/Samba/datacirclefake.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/datacirclefake.cc	(revision 2615)
@@ -1,3 +1,4 @@
 #include <iostream>
+#include "sopnamsp.h"
 #include "datacirclefake.h"
 
Index: trunk/SophyaLib/Samba/lambdaBuilder.cc
===================================================================
--- trunk/SophyaLib/Samba/lambdaBuilder.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/lambdaBuilder.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "lambdaBuilder.h"
 #include "nbconst.h"
Index: trunk/SophyaLib/Samba/mlobe.cc
===================================================================
--- trunk/SophyaLib/Samba/mlobe.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/mlobe.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "mlobe.h"
 #include "unitvector.h"
Index: trunk/SophyaLib/Samba/sambainit.cc
===================================================================
--- trunk/SophyaLib/Samba/sambainit.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/sambainit.cc	(revision 2615)
@@ -1,4 +1,5 @@
 // Classe d'initialisation du module Samba 
 
+#include "sopnamsp.h"
 #include "sambainit.h"
 
Index: trunk/SophyaLib/Samba/scan.cc
===================================================================
--- trunk/SophyaLib/Samba/scan.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/scan.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/Samba/sphericaltransformserver.cc
===================================================================
--- trunk/SophyaLib/Samba/sphericaltransformserver.cc	(revision 2614)
+++ trunk/SophyaLib/Samba/sphericaltransformserver.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyMap/HEALPixUtils.cc
===================================================================
--- trunk/SophyaLib/SkyMap/HEALPixUtils.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/HEALPixUtils.cc	(revision 2615)
@@ -1,3 +1,4 @@
 // utilitaires de pixelisation HEALPix
+#include "sopnamsp.h"
 #include "HEALPixUtils.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyMap/fiolocalmap.cc
===================================================================
--- trunk/SophyaLib/SkyMap/fiolocalmap.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/fiolocalmap.cc	(revision 2615)
@@ -1,4 +1,5 @@
 // G. Le Meur 04/2000
 
+#include "sopnamsp.h"
 #include "fiolocalmap.h"
 #include "fioarr.h"
Index: trunk/SophyaLib/SkyMap/fiosphereecp.cc
===================================================================
--- trunk/SophyaLib/SkyMap/fiosphereecp.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/fiosphereecp.cc	(revision 2615)
@@ -1,4 +1,5 @@
 // G. Le Meur 04/2000
 
+#include "sopnamsp.h"
 #include "fiosphereecp.h"
 #include "fioarr.h"
Index: trunk/SophyaLib/SkyMap/fiospherehealpix.cc
===================================================================
--- trunk/SophyaLib/SkyMap/fiospherehealpix.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/fiospherehealpix.cc	(revision 2615)
@@ -1,4 +1,5 @@
 // G. Le Meur 04/2000
 
+#include "sopnamsp.h"
 #include "fiospherehealpix.h"
 #include "pexceptions.h"
Index: trunk/SophyaLib/SkyMap/fiospherethetaphi.cc
===================================================================
--- trunk/SophyaLib/SkyMap/fiospherethetaphi.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/fiospherethetaphi.cc	(revision 2615)
@@ -1,4 +1,5 @@
 // G. Le Meur 04/2000
 
+#include "sopnamsp.h"
 #include "fiospherethetaphi.h"
 #include "pexceptions.h"
Index: trunk/SophyaLib/SkyMap/localmap.cc
===================================================================
--- trunk/SophyaLib/SkyMap/localmap.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/localmap.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "localmap.h"
 #include "smathconst.h"
Index: trunk/SophyaLib/SkyMap/longlat.cc
===================================================================
--- trunk/SophyaLib/SkyMap/longlat.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/longlat.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "longlat.h"
 //++ 
Index: trunk/SophyaLib/SkyMap/mapoperation.cc
===================================================================
--- trunk/SophyaLib/SkyMap/mapoperation.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/mapoperation.cc	(revision 2615)
@@ -9,4 +9,5 @@
 //        code from Reza
 //------------------------------------------------------------------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <math.h>
Index: trunk/SophyaLib/SkyMap/skymapinit.cc
===================================================================
--- trunk/SophyaLib/SkyMap/skymapinit.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/skymapinit.cc	(revision 2615)
@@ -1,3 +1,4 @@
 // Classe d'initialisation du module Outils++ 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "skymapinit.h" 
Index: trunk/SophyaLib/SkyMap/sphereecp.cc
===================================================================
--- trunk/SophyaLib/SkyMap/sphereecp.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/sphereecp.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "sphereecp.h"
 #include <math.h>
Index: trunk/SophyaLib/SkyMap/spherehealpix.cc
===================================================================
--- trunk/SophyaLib/SkyMap/spherehealpix.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/spherehealpix.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <math.h>
Index: trunk/SophyaLib/SkyMap/spherepos.cc
===================================================================
--- trunk/SophyaLib/SkyMap/spherepos.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/spherepos.cc	(revision 2615)
@@ -1,9 +1,10 @@
 // 04/01/00 : implantation de la persistance par classe deleguee - Guy Le Meur
 
+#include "sopnamsp.h"
 #include "spherepos.h"
 #include "datatype.h"
 #include <typeinfo>
 
-static char *head_spherepos_cc_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/SkyMap/spherepos.cc,v 1.2 2002-04-26 16:48:22 ansari Exp $";
+static char *head_spherepos_cc_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/SkyMap/spherepos.cc,v 1.3 2004-09-10 09:54:31 cmv Exp $";
 
 
Index: trunk/SophyaLib/SkyMap/spherethetaphi.cc
===================================================================
--- trunk/SophyaLib/SkyMap/spherethetaphi.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/spherethetaphi.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "spherethetaphi.h"
 #include "smathconst.h"
Index: trunk/SophyaLib/SkyMap/unitvector.cc
===================================================================
--- trunk/SophyaLib/SkyMap/unitvector.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/unitvector.cc	(revision 2615)
@@ -1,3 +1,4 @@
 #include <math.h>
+#include "sopnamsp.h"
 #include "unitvector.h"
 //*****************************************************************************
Index: trunk/SophyaLib/SkyMap/utilgeom.cc
===================================================================
--- trunk/SophyaLib/SkyMap/utilgeom.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/utilgeom.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <math.h>
Index: trunk/SophyaLib/SkyMap/vector3d.cc
===================================================================
--- trunk/SophyaLib/SkyMap/vector3d.cc	(revision 2614)
+++ trunk/SophyaLib/SkyMap/vector3d.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <math.h>
Index: trunk/SophyaLib/SkyT/blackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/blackbody.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/blackbody.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: blackbody.cc,v 1.8 2003-02-11 15:31:06 cmv Exp $
+//      $Id: blackbody.cc,v 1.9 2004-09-10 09:54:39 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/convtools.cc
===================================================================
--- trunk/SophyaLib/SkyT/convtools.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/convtools.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: convtools.cc,v 1.3 2000-04-14 07:28:12 ansari Exp $
+//      $Id: convtools.cc,v 1.4 2004-09-10 09:54:39 cmv Exp $
 //
 // Description:
@@ -10,4 +10,5 @@
 //------------------------------------------------------------------------
 
+#include "sopnamsp.h"
 #include "convtools.h"
 
Index: trunk/SophyaLib/SkyT/derivblackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: derivblackbody.cc,v 1.6 2003-02-11 15:31:07 cmv Exp $
+//      $Id: derivblackbody.cc,v 1.7 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/gaussfilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: gaussfilt.cc,v 1.8 2003-03-10 15:13:49 ansari Exp $
+//      $Id: gaussfilt.cc,v 1.9 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -13,4 +13,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/nupower.cc
===================================================================
--- trunk/SophyaLib/SkyT/nupower.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/nupower.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: nupower.cc,v 1.8 2003-02-11 15:31:07 cmv Exp $
+//      $Id: nupower.cc,v 1.9 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/radspec.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspec.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/radspec.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspec.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
+//      $Id: radspec.cc,v 1.8 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/radspecvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspecvector.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/radspecvector.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspecvector.cc,v 1.8 2003-02-11 15:31:07 cmv Exp $
+//      $Id: radspecvector.cc,v 1.9 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/skyinit.cc
===================================================================
--- trunk/SophyaLib/SkyT/skyinit.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/skyinit.cc	(revision 2615)
@@ -2,4 +2,5 @@
 #include <unistd.h>
 
+#include "sopnamsp.h"
 #include "skyinit.h"
 #include "ppersist.h"
Index: trunk/SophyaLib/SkyT/specresp.cc
===================================================================
--- trunk/SophyaLib/SkyT/specresp.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/specresp.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specresp.cc,v 1.6 2002-07-31 10:25:34 ansari Exp $
+//      $Id: specresp.cc,v 1.7 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -17,4 +17,5 @@
 #include <typeinfo>
 #include <math.h>
+#include "sopnamsp.h"
 #include "specresp.h"
 #include "integ.h"
Index: trunk/SophyaLib/SkyT/specrespvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specrespvector.cc,v 1.10 2003-03-10 15:13:49 ansari Exp $
+//      $Id: specrespvector.cc,v 1.11 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/squarefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/squarefilt.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/squarefilt.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: squarefilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
+//      $Id: squarefilt.cc,v 1.8 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -13,4 +13,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/trianglefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: trianglefilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
+//      $Id: trianglefilt.cc,v 1.8 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -13,4 +13,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SysTools/cexpre.cc
===================================================================
--- trunk/SophyaLib/SysTools/cexpre.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/cexpre.cc	(revision 2615)
@@ -3,4 +3,5 @@
 #include <ctype.h>
 #include <string.h>
+#include "sopnamsp.h"
 #include "cexpre.h"
 #include <stack>
Index: trunk/SophyaLib/SysTools/commander.cc
===================================================================
--- trunk/SophyaLib/SysTools/commander.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/commander.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "commander.h"
 #include <stdio.h>
Index: trunk/SophyaLib/SysTools/ctimer.cc
===================================================================
--- trunk/SophyaLib/SysTools/ctimer.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/ctimer.cc	(revision 2615)
@@ -1,6 +1,7 @@
 //
-// $Id: ctimer.cc,v 1.5 2004-08-11 13:10:25 ansari Exp $
+// $Id: ctimer.cc,v 1.6 2004-09-10 09:54:57 cmv Exp $
 //
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "ctimer.h"
Index: trunk/SophyaLib/SysTools/cxxcmplnk.cc
===================================================================
--- trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 2615)
@@ -2,4 +2,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "cxxcmplnk.h"
 #include <iostream>
Index: trunk/SophyaLib/SysTools/pdlmgr.cc
===================================================================
--- trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <machdefs.h>
 
+#include "sopnamsp.h"
 #include "pdlmgr.h"
 #include <stdio.h>
Index: trunk/SophyaLib/SysTools/periodic.cc
===================================================================
--- trunk/SophyaLib/SysTools/periodic.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/periodic.cc	(revision 2615)
@@ -4,4 +4,5 @@
 /*                      LAL/IN2P3 (Orsay)  DAPNIA/CEA (Saclay)            */
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <signal.h>
Index: trunk/SophyaLib/SysTools/psighand.cc
===================================================================
--- trunk/SophyaLib/SysTools/psighand.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/psighand.cc	(revision 2615)
@@ -4,4 +4,5 @@
 #include <string.h>
 #include <signal.h>
+#include "sopnamsp.h"
 #include "psighand.h"
 #include "pexceptions.h"
Index: trunk/SophyaLib/SysTools/resusage.cc
===================================================================
--- trunk/SophyaLib/SysTools/resusage.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/resusage.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "resusage.h"
 
Index: trunk/SophyaLib/SysTools/rpneval.cc
===================================================================
--- trunk/SophyaLib/SysTools/rpneval.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/rpneval.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "rpneval.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/SysTools/zthread.cc
===================================================================
--- trunk/SophyaLib/SysTools/zthread.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/zthread.cc	(revision 2615)
@@ -2,4 +2,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "zthread.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/TArray/basarr.cc
===================================================================
--- trunk/SophyaLib/TArray/basarr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/basarr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/fioarr.cc
===================================================================
--- trunk/SophyaLib/TArray/fioarr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/fioarr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //               R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "pexceptions.h"
 #include "fiondblock.h"
Index: trunk/SophyaLib/TArray/matharr.cc
===================================================================
--- trunk/SophyaLib/TArray/matharr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/matharr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <math.h>
Index: trunk/SophyaLib/TArray/sopemtx.cc
===================================================================
--- trunk/SophyaLib/TArray/sopemtx.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/sopemtx.cc	(revision 2615)
@@ -1,4 +1,5 @@
 //                         C.Magneville, R.Ansari        03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/tarray.cc
===================================================================
--- trunk/SophyaLib/TArray/tarray.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tarray.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/tarrinit.cc
===================================================================
--- trunk/SophyaLib/TArray/tarrinit.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tarrinit.cc	(revision 2615)
@@ -1,3 +1,4 @@
 // Classe d'initialisation du module TArray (template Arrays)
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "tarrinit.h"
Index: trunk/SophyaLib/TArray/tmatrix.cc
===================================================================
--- trunk/SophyaLib/TArray/tmatrix.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tmatrix.cc	(revision 2615)
@@ -1,4 +1,5 @@
-// $Id: tmatrix.cc,v 1.28 2004-07-30 13:11:51 cmv Exp $
+// $Id: tmatrix.cc,v 1.29 2004-09-10 09:55:07 cmv Exp $
 //                         C.Magneville          04/99
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/toeplitzMatrix.cc
===================================================================
--- trunk/SophyaLib/TArray/toeplitzMatrix.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/toeplitzMatrix.cc	(revision 2615)
@@ -1,3 +1,4 @@
 
+#include "sopnamsp.h"
 #include "toeplitzMatrix.h"
 #include "timing.h"   
Index: trunk/SophyaLib/TArray/tvector.cc
===================================================================
--- trunk/SophyaLib/TArray/tvector.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tvector.cc	(revision 2615)
@@ -1,4 +1,5 @@
-// $Id: tvector.cc,v 1.16 2004-07-29 12:31:16 ansari Exp $
+// $Id: tvector.cc,v 1.17 2004-09-10 09:55:07 cmv Exp $
 //                         C.Magneville          04/99
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/TArray/utilarr.cc
===================================================================
--- trunk/SophyaLib/TArray/utilarr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/utilarr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "utilarr.h"
